FreeMat

- Main Page
- Related Pages

vtkSCurveSpline

Section: Visualization Toolkit Infovis Classes

# Usage

vtkSCurveSpline is a concrete implementation of vtkSpline using a SCurve basis.

To create an instance of class vtkSCurveSpline, simply invoke its constructor as follows

      obj = vtkSCurveSpline

# Methods

The class vtkSCurveSpline has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSCurveSpline class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSCurveSpline = obj.NewInstance ()`
- `vtkSCurveSpline = obj.SafeDownCast (vtkObject o)`
- `obj.Compute ()`
- `double = obj.Evaluate (double t)` - Evaluate a 1D SCurve spline.
- `obj.DeepCopy (vtkSpline s)` - Deep copy of SCurve spline data.
- `obj.SetNodeWeight (double )`
- `double = obj.GetNodeWeight ()`